kafka-cluster:
  enabled: true
  kafka:
    replicas: 1
    jvmOptions:
      -Xms: 2048m
      -Xmx: 2048m
    resources:
      requests:
        memory: 4Gi
        cpu: "1"
      limits:
        memory: 4Gi
        cpu: "4"
    externalNodeport: 32092
    storage:
      type: jbod
      volumes:
      - id: 0
        type: persistent-claim
        size: 512Gi
        deleteClaim: true
  zookeeper:
    replicas: 1
    config: {}
    jvmOptions:
      -Xms: 512m
      -Xmx: 512m
    storage:
      type: persistent-claim
      size: 10Gi
      deleteClaim: true
    resources:
      requests:
        memory: 1Gi
        cpu: 500m
      limits:
        memory: 1Gi
        cpu: 1

ipfix-ingest:
  enabled: true
  replicaCount: 1
  config:
    cloudevent: true
    forwarding:
      workers: 10
      destinations:
      - host: 127.0.0.1
        port: 4738
      # - host: 34.213.63.217
      #   port: 4739
      # - host: 10.29.5.179
      #   port: 4739
psm-collect:
  enabled: true
  config:
    psm:
      - address: 10.29.75.21
        username: admin
        password: Pensando0$
      - address: 10.29.67.31
        username: admin
        password: Pensando0$

syslog-ingest:
  enabled: true
  replicaCount: 1
  config:
    cloudevent: true
    # forwarding:
    # - host: 10.29.5.180
    #   port: 5514
    #   splitMessages: false
    # - host: 10.29.5.179
    #   port: 5514
    #   splitMessages: true
    # - host: 34.213.63.217
    #   port: 514
    #   splitMessages: false
    # - host: 10.29.248.61
    #   port: 8514
    #   splitMessages: false
